import { ua2string, string2ua, string2ab, ua2ab, b64_2ab, b64_2ua, ua2b64, b2a, a2b } from '../../icc-api/model/ModelHelper';
export { ua2string, string2ua, string2ab, ua2ab, b64_2ab, b64_2ua, ua2b64, b2a, a2b };
export declare function utf8_2ua(str: string): Uint8Array;
/**
 * Uint8Array/ArrayBuffer to utf-8 strring
 * @param _ua {Uint8Array} or ArrayBuffer
 * @returns {String} a UTF-8 encoded string
 */
export declare function ua2utf8(_ua: Uint8Array | ArrayBuffer): string;
export declare function hex2ua(s: string): Uint8Array;
/**
 * Uint8Array/ArrayBuffer to hex String
 *
 * @param _ua {Uint8Array} or ArrayBuffer
 * @returns {String} Hex String
 */
export declare function ua2hex(_ua: Uint8Array | ArrayBuffer): string;
export declare function b64_2uas(s: string): Array<Uint8Array>;
export declare function ua2b64Url(ua: Uint8Array | ArrayBuffer): string;
export declare function b64Url2ua(ua: string): ArrayBuffer;
export declare function hex2string(hexStr: string): string;
export declare function string2hex(text: string): string;
export declare function concat_uas(ua1: Uint8Array, ua2: Uint8Array): Uint8Array;
